summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-sound/exaile/ChangeLog3
-rw-r--r--media-sound/exaile/Manifest16
-rw-r--r--media-sound/exaile/exaile-0.2.5.ebuild11
3 files changed, 18 insertions, 12 deletions
diff --git a/media-sound/exaile/ChangeLog b/media-sound/exaile/ChangeLog
index 4603291ea..b6b42dc04 100644
--- a/media-sound/exaile/ChangeLog
+++ b/media-sound/exaile/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 15 Nov 2006; Jakub Moc <jakub@gentoo.org> exaile-0.2.5.ebuild:
+ dbus-1.0 porting
+
13 Nov 2006; Juan Aguado (juantxorena) <juantxorena666@gmail.com>
exaile-0.2.5.ebuild:
Fixed dependecies, new USE flag for Musepack support
diff --git a/media-sound/exaile/Manifest b/media-sound/exaile/Manifest
index 199a57706..a13a036a6 100644
--- a/media-sound/exaile/Manifest
+++ b/media-sound/exaile/Manifest
@@ -1,12 +1,12 @@
DIST exaile_0.2.5.tar.gz 292307 RMD160 4e3be37d7ea04265d662d62b67925d8f29c6f451 SHA1 bcb1d4616546342e2cf34598cb1ca71297ed9e12 SHA256 f9e1cb97212f35ddabf62778228ec049da90aa6cb4882cf27e32763a5b9bc60e
-EBUILD exaile-0.2.5.ebuild 1744 RMD160 f74976ac91d91c475fe71f69324f134d1bfa5220 SHA1 424c75091bcc8c7c081f7f40261deb24723f751e SHA256 ee7faa3632c8ec3f1df12843a4a2acc1af7c8e6edb5fd1dc851dcd5e261e84cc
-MD5 52bd5e4d3564450d7756e5a30aecd544 exaile-0.2.5.ebuild 1744
-RMD160 f74976ac91d91c475fe71f69324f134d1bfa5220 exaile-0.2.5.ebuild 1744
-SHA256 ee7faa3632c8ec3f1df12843a4a2acc1af7c8e6edb5fd1dc851dcd5e261e84cc exaile-0.2.5.ebuild 1744
-MISC ChangeLog 3582 RMD160 8660b18c5aa5c3dbfc85fbdf2511bf5df5d8f397 SHA1 18107aa847875a73acb810b93571522af1afda1c SHA256 3fd0d70aab7e9296fc523bf4b723bb9eede0eb6294505c51f20aa5ffb42925fd
-MD5 9be796c4d9abad2822e09d98297ee20c ChangeLog 3582
-RMD160 8660b18c5aa5c3dbfc85fbdf2511bf5df5d8f397 ChangeLog 3582
-SHA256 3fd0d70aab7e9296fc523bf4b723bb9eede0eb6294505c51f20aa5ffb42925fd ChangeLog 3582
+EBUILD exaile-0.2.5.ebuild 1868 RMD160 6ecb77126a62eee4a8901227570fb3825e3f3407 SHA1 6f871199b09357364c2cf9ffcbf5ad529f4d2ed8 SHA256 aa2215568650d9d4c6c62701177e6ef51f2f07c6dc2b46b9e22aa32e32f9ee97
+MD5 6e8c8358e0f803ddd2d5cf9c529feca8 exaile-0.2.5.ebuild 1868
+RMD160 6ecb77126a62eee4a8901227570fb3825e3f3407 exaile-0.2.5.ebuild 1868
+SHA256 aa2215568650d9d4c6c62701177e6ef51f2f07c6dc2b46b9e22aa32e32f9ee97 exaile-0.2.5.ebuild 1868
+MISC ChangeLog 3667 RMD160 ee84954fbe37a0a8daee28565f254bb6c1a7915f SHA1 d55580aeb39cbf46289edb3b056245e8f6d00e18 SHA256 21f601a82b7cfb3e78f0a9177586e85e4f220a6175d014b56c820f9698d1d5f8
+MD5 c443bf84fb32020a7ca7a9274b6f0124 ChangeLog 3667
+RMD160 ee84954fbe37a0a8daee28565f254bb6c1a7915f ChangeLog 3667
+SHA256 21f601a82b7cfb3e78f0a9177586e85e4f220a6175d014b56c820f9698d1d5f8 ChangeLog 3667
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
diff --git a/media-sound/exaile/exaile-0.2.5.ebuild b/media-sound/exaile/exaile-0.2.5.ebuild
index b00c2029e..78d770205 100644
--- a/media-sound/exaile/exaile-0.2.5.ebuild
+++ b/media-sound/exaile/exaile-0.2.5.ebuild
@@ -25,7 +25,8 @@ RDEPEND="${DEPEND}
>=media-libs/mutagen-1.6
>=media-plugins/gst-plugins-gconf-0.10
dev-python/elementtree
- sys-apps/dbus
+ || ( >=dev-python/dbus-python-0.71
+ ( <sys-apps/dbus-0.90 >=sys-apps/dbus-0.34 ) )
fam? ( app-admin/gamin )
mp3? ( >=media-plugins/gst-plugins-mad-0.10 )
flac? ( >=media-plugins/gst-plugins-flac-0.10 )
@@ -38,9 +39,11 @@ RDEPEND="${DEPEND}
S=${WORKDIR}/${MY_P}
pkg_setup() {
- if ! built_with_use sys-apps/dbus python; then
- eerror "dbus has to be built with python support"
- die "dbus python use-flag not set"
+ if has_version "<sys-apps/dbus-0.94" ; then
+ if ! built_with_use sys-apps/dbus python; then
+ eerror "dbus has to be built with python support"
+ die "dbus python use-flag not set"
+ fi
fi
if use ipod && ! built_with_use media-libs/libgpod python ; then